{
  "name": "cordova-plugin-image-picker",
  "version": "1.1.3",
  "description": "This plugin allows selection of multiple images from the camera roll / gallery in a phonegap app",
  "cordova": {
    "id": "cordova-plugin-image-picker",
    "platforms": [
      "ios",
      "android"
    ]
  },
  "repository": {
    "type": "git",
    "url": "git+https://github.com/wymsee/cordova-imagePicker.git"
  },
  "keywords": [
    "ecosystem:cordova",
    "cordova-ios",
    "cordova-android"
  ],
  "engines": [
    {
      "name": "cordova",
      "version": ">=3.0.0"
    }
  ],
  "author": {
    "name": "Wymsee"
  },
  "license": "MIT",
  "bugs": {
    "url": "https://github.com/wymsee/cordova-imagePicker/issues"
  },
  "homepage": "https://github.com/wymsee/cordova-imagePicker#readme",
  "readme": "cordova-imagePicker\n===================\n\nCordova Plugin For Multiple Image Selection - implemented for iOS and Android 4.0 and above.\n\n## Installing the plugin\n\nThe plugin conforms to the Cordova plugin specification, it can be installed\nusing the Cordova / Phonegap command line interface.\n\n    phonegap plugin add cordova-plugin-image-picker\n\n    cordova plugin add cordova-plugin-image-picker\n\n\n## Using the plugin\n\nThe plugin creates the object `window.imagePicker` with the method `getPictures(success, fail, options)`\n\nExample - Get Full Size Images (all default options):\n```javascript\nwindow.imagePicker.getPictures(\n\tfunction(results) {\n\t\tfor (var i = 0; i < results.length; i++) {\n\t\t\tconsole.log('Image URI: ' + results[i]);\n\t\t}\n\t}, function (error) {\n\t\tconsole.log('Error: ' + error);\n\t}\n);\n```\n\nExample - Get at most 10 images scaled to width of 800:\n```javascript\nwindow.imagePicker.getPictures(\n\tfunction(results) {\n\t\tfor (var i = 0; i < results.length; i++) {\n\t\t\tconsole.log('Image URI: ' + results[i]);\n\t\t}\n\t}, function (error) {\n\t\tconsole.log('Error: ' + error);\n\t}, {\n\t\tmaximumImagesCount: 10,\n\t\twidth: 800\n\t}\n);\n```\n\n### Options\n\n    options = {\n        // max images to be selected, defaults to 15. If this is set to 1, upon\n    \t// selection of a single image, the plugin will return it.\n    \tmaximumImagesCount: int,\n    \t\n    \t// max width and height to allow the images to be.  Will keep aspect\n    \t// ratio no matter what.  So if both are 800, the returned image\n    \t// will be at most 800 pixels wide and 800 pixels tall.  If the width is\n    \t// 800 and height 0 the image will be 800 pixels wide if the source\n    \t// is at least that wide.\n    \twidth: int,\n    \theight: int,\n    \t\n    \t// quality of resized image, defaults to 100\n    \tquality: int (0-100)\n    };\n\t\n### iOS 10 issues\n\nStarting from iOS 10, Apple started asking for specifying the reason for accessing the user’s photo library, therefore it's mandatory to add `NSPhotoLibraryUsageDescription` entry in the info.plist.\n\n[`NSPhotoLibraryUsageDescription`](https://developer.apple.com/library/mac/documentation/General/Reference/InfoPlistKeyReference/Articles/CocoaKeys.html#//apple_ref/doc/uid/TP40009251-SW17) describes the reason that the app accesses the user’s photo library. When the system prompts the user to allow access, this string is displayed as part of the dialog box. In order to add this entry you must pass the variable `PHOTO_LIBRARY_USAGE_DESCRIPTION` on plugin install.\n\nExample:\n \ncordova plugin add cordova-plugin-image-picker --variable PHOTO_LIBRARY_USAGE_DESCRIPTION=\"your message\"`\n\nEmpty string will be added as value if you dont pass the variable \n    \n### Note for Android Use\n\nThe plugin returns images that are stored in a temporary directory.  These images will often not be deleted automatically though.  The files should be moved or deleted after you get their filepaths in javascript.\n\n## Libraries used\n\n#### ELCImagePicker\n\nFor iOS this plugin uses the ELCImagePickerController, with slight modifications for the iOS image picker.  ELCImagePicker uses the MIT License which can be found in the file LICENSE.\n\nhttps://github.com/B-Sides/ELCImagePickerController\n\n#### MultiImageChooser\n\nFor Android this plugin uses MultiImageChooser, with modifications.  MultiImageChooser uses the BSD 2-Clause License which can be found in the file BSD_LICENSE.  Some code inside MultImageChooser is licensed under the Apache license which can be found in the file APACHE_LICENSE.\n\nhttps://github.com/derosa/MultiImageChooser\n\n#### FakeR\n\nCode(FakeR) was also taken from the phonegap BarCodeScanner plugin.  This code uses the MIT license.\n\nhttps://github.com/wildabeast/BarcodeScanner\n\n## License\n\nThe MIT License\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in\nall copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN\nTHE SOFTWARE.\n",
  "readmeFilename": "README.md",
  "_id": "cordova-plugin-image-picker@1.1.3",
  "_from": "cordova-plugin-image-picker@>=1.1.3 <2.0.0"
}
